Skip to main content
`Ctrl`+`K`

# skbio.diversity.alpha.enspie

skbio.diversity.alpha.enspie(counts, finite=False)

  Calculate ENS_pie alpha diversity measure.

  The effective number of species (ENS) derived from Hurlbert’s probability of interspecific encounter (PIE) ([1], [2]) is defined as:

  \[ENS_{pie} = \frac{1}{\sum_{i=1}^S{p_i^2}}\]

  where \(S\) is the number of taxa and \(p_i\) is the proportion of the sample represented by taxon \(i\).

  Therefore, \(ENS_{pie}\) is equivalent to the inverse Simpson index (`1 / D`).

  Parameters:
    counts 1-D array_like, int

      Vector of counts.

    finite bool, optional

      If True, correct for finite sampling.

  Returns:
    float

      ENS_pie alpha diversity measure.

  See also

  `inv_simpson`
  `dominance`

  Notes

  `enspie` is an alias for `inv_simpson`.

  References

  [1]

  Chase, J. M., & Knight, T. M. (2013). Scale-dependent effect sizes of ecological drivers on biodiversity: why standardised sampling is not enough. Ecology letters, 16, 17-26.

  [2]

  Hurlbert, S. H. (1971). The nonconcept of species diversity: a critique and alternative parameters. Ecology, 52(4), 577-586.